Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote.rmi.iiop
Interface RMIRemoteSessionController

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  RMIRemoteSessionControllerDispatcher

public interface RMIRemoteSessionController
extends java.rmi.Remote

Defines the public methods remote connection can invoke on the remote session controller.

Method Summary
`Transporter` | `beginTransaction()` Begin a transaction on the database.
`Transporter` | `commitRootUnitOfWork(Transporter remoteUnitOfWork)` To commit remote unit of work on the server side.
`Transporter` | `commitTransaction()` Commit a transaction on the database.
`Transporter` | `cursoredStreamClose(Transporter remoetCursoredStreamID)` Used for closing cursored streams across RMI.
`Transporter` | `cursoredStreamNextPage(Transporter remoteCursoredStream, int pageSize)` Retrieve next page size of objects from the remote cursored stream
`Transporter` | `cursorSelectObjects(Transporter policy)` To get remote cursor stub in a transporter
`Transporter` | `executeNamedQuery(Transporter name, Transporter theClass, Transporter arguments)` A remote query after serialization is executed locally.
`Transporter` | `executeQuery(Transporter query)` To execute remote query on the server side.
`Transporter` | `getDefaultReadOnlyClasses()` To get the default read-only classes from the server side.
`Transporter` | `getDescriptor(Transporter domainClass)` To get descriptor from the server side
`Transporter` | `getLogin()` To get login from the server side
`Transporter` | `initializeIdentityMapsOnServerSession()`
`Transporter` | `instantiateRemoteValueHolderOnServer(Transporter remoteValueHolder)` To instantiate remote value holder on the server side.
`Transporter` | `rollbackTransaction()` Rollback a transaction on the database.
`Transporter` | `scrollableCursorAbsolute(Transporter remoteScrollableCursorOid, int rows)` Moves the cursor to the given row number in the result set
`Transporter` | `scrollableCursorAfterLast(Transporter remoteScrollableCursorOid)` Moves the cursor to the end of the result set, just after the last row.
`Transporter` | `scrollableCursorBeforeFirst(Transporter remoteScrollableCursor)` Moves the cursor to the front of the result set, just before the first row
`Transporter` | `scrollableCursorClose(Transporter remoteScrollableCursorOid)` Used for closing scrollable cursor across RMI.
`Transporter` | `scrollableCursorCurrentIndex(Transporter remoteScrollableCursor)` Retrieves the current row index number
`Transporter` | `scrollableCursorFirst(Transporter remoteScrollableCursor)` Moves the cursor to the first row in the result set
`Transporter` | `scrollableCursorIsAfterLast(Transporter remoteScrollableCursor)` Indicates whether the cursor is after the last row in the result set.
`Transporter` | `scrollableCursorIsBeforeFirst(Transporter remoteScrollableCursor)` Indicates whether the cursor is before the first row in the result set.
`Transporter` | `scrollableCursorIsFirst(Transporter remoteScrollableCursor)` Indicates whether the cursor is on the first row of the result set.
`Transporter` | `scrollableCursorIsLast(Transporter remoteScrollableCursor)` Indicates whether the cursor is on the last row of the result set.
`Transporter` | `scrollableCursorLast(Transporter remoteScrollableCursor)` Moves the cursor to the last row in the result set
`Transporter` | `scrollableCursorRelative(Transporter remoteScrollableCursor, int rows)` Moves the cursor to the given row number in the result set

Method Detail

### beginTransaction

    public Transporter beginTransaction()
                                 throws java.rmi.RemoteException

  Begin a transaction on the database.
  Throws:
    `java.rmi.RemoteException`

### commitRootUnitOfWork

    public Transporter commitRootUnitOfWork(Transporter remoteUnitOfWork)
                                     throws java.rmi.RemoteException

  To commit remote unit of work on the server side.
  Throws:
    `java.rmi.RemoteException`

### commitTransaction

    public Transporter commitTransaction()
                                  throws java.rmi.RemoteException

  Commit a transaction on the database.
  Throws:
    `java.rmi.RemoteException`

### cursoredStreamClose

    public Transporter cursoredStreamClose(Transporter remoetCursoredStreamID)
                                    throws java.rmi.RemoteException

  Used for closing cursored streams across RMI.
  Throws:
    `java.rmi.RemoteException`

### cursoredStreamNextPage

    public Transporter cursoredStreamNextPage(Transporter remoteCursoredStream,
                                              int pageSize)
                                       throws java.rmi.RemoteException

  Retrieve next page size of objects from the remote cursored stream
  Throws:
    `java.rmi.RemoteException`

### cursorSelectObjects

    public Transporter cursorSelectObjects(Transporter policy)
                                    throws java.rmi.RemoteException

  To get remote cursor stub in a transporter
  Throws:
    `java.rmi.RemoteException`

### executeNamedQuery

    public Transporter executeNamedQuery(Transporter name,
                                         Transporter theClass,
                                         Transporter arguments)
                                  throws java.rmi.RemoteException

  A remote query after serialization is executed locally.
  Throws:
    `java.rmi.RemoteException`

### executeQuery

    public Transporter executeQuery(Transporter query)
                             throws java.rmi.RemoteException

  To execute remote query on the server side.
  Throws:
    `java.rmi.RemoteException`

### getDefaultReadOnlyClasses

    public Transporter getDefaultReadOnlyClasses()
                                          throws java.rmi.RemoteException

  To get the default read-only classes from the server side.
  Throws:
    `java.rmi.RemoteException`

### getDescriptor

    public Transporter getDescriptor(Transporter domainClass)
                              throws java.rmi.RemoteException

  To get descriptor from the server side
  Throws:
    `java.rmi.RemoteException`

### getLogin

    public Transporter getLogin()
                         throws java.rmi.RemoteException

  To get login from the server side
  Throws:
    `java.rmi.RemoteException`

### initializeIdentityMapsOnServerSession

    public Transporter initializeIdentityMapsOnServerSession()
                                                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### instantiateRemoteValueHolderOnServer

    public Transporter instantiateRemoteValueHolderOnServer(Transporter remoteValueHolder)
                                                     throws java.rmi.RemoteException

  To instantiate remote value holder on the server side.
  Throws:
    `java.rmi.RemoteException`

### rollbackTransaction

    public Transporter rollbackTransaction()
                                    throws java.rmi.RemoteException

  Rollback a transaction on the database.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorAbsolute

    public Transporter scrollableCursorAbsolute(Transporter remoteScrollableCursorOid,
                                                int rows)
                                         throws java.rmi.RemoteException

  Moves the cursor to the given row number in the result set
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorAfterLast

    public Transporter scrollableCursorAfterLast(Transporter remoteScrollableCursorOid)
                                          throws java.rmi.RemoteException

  Moves the cursor to the end of the result set, just after the last row.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorBeforeFirst

    public Transporter scrollableCursorBeforeFirst(Transporter remoteScrollableCursor)
                                            throws java.rmi.RemoteException

  Moves the cursor to the front of the result set, just before the first row
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorClose

    public Transporter scrollableCursorClose(Transporter remoteScrollableCursorOid)
                                      throws java.rmi.RemoteException

  Used for closing scrollable cursor across RMI.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorCurrentIndex

    public Transporter scrollableCursorCurrentIndex(Transporter remoteScrollableCursor)
                                             throws java.rmi.RemoteException

  Retrieves the current row index number
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorFirst

    public Transporter scrollableCursorFirst(Transporter remoteScrollableCursor)
                                      throws java.rmi.RemoteException

  Moves the cursor to the first row in the result set
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsAfterLast

    public Transporter scrollableCursorIsAfterLast(Transporter remoteScrollableCursor)
                                            throws java.rmi.RemoteException

  Indicates whether the cursor is after the last row in the result set.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsBeforeFirst

    public Transporter scrollableCursorIsBeforeFirst(Transporter remoteScrollableCursor)
                                              throws java.rmi.RemoteException

  Indicates whether the cursor is before the first row in the result set.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsFirst

    public Transporter scrollableCursorIsFirst(Transporter remoteScrollableCursor)
                                        throws java.rmi.RemoteException

  Indicates whether the cursor is on the first row of the result set.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorIsLast

    public Transporter scrollableCursorIsLast(Transporter remoteScrollableCursor)
                                       throws java.rmi.RemoteException

  Indicates whether the cursor is on the last row of the result set.
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorLast

    public Transporter scrollableCursorLast(Transporter remoteScrollableCursor)
                                     throws java.rmi.RemoteException

  Moves the cursor to the last row in the result set
  Throws:
    `java.rmi.RemoteException`

### scrollableCursorRelative

    public Transporter scrollableCursorRelative(Transporter remoteScrollableCursor,
                                                int rows)
                                         throws java.rmi.RemoteException

  Moves the cursor to the given row number in the result set
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD